/**
 *
 */
/**
 * 非标缓存运行时ioredis配置
 */
export declare const ioredisConfig: {
    maxRetriesPerRequest: number;
    lazyConnect: boolean;
} & {
    host: string;
    port: number;
    password: string;
    database: number;
} & {
    maxRetriesPerRequest: number;
    lazyConnect: boolean;
    autoResendUnfulfilledCommands: boolean;
};
/**
 * ioredis 实例
 */
export declare const ioredisInstance: any;
/**
 * 缓存键管理
 */
export declare class CacheKey {
    /**
     * app已授权车场配置信息key
     */
    static readonly CONFIG_INFO: string;
}
/**
 * 中台项目缓存服务
 */
export default class CacheService {
    getConfigInfo(): Promise<any>;
    setConfigInfoAsync(value: any, ex?: number): void;
    get(key: any): Promise<any>;
    setAsync(key: any, value: any, ex?: number): void;
}
export { CacheService };
